List Terminals V2
Return a paginated list of terminals with optional search and filters.
Query Parameters
- Type: string | null · Searchsearch
Free-text search across terminal name, MID, or TID
- Type: string | null · Account Idaccount
_id Filter terminals by owning account ID
- Type: string · TerminalStatusenumstatus
Filter terminals by status
values- active
- inactive
- blocked
- Type: string | null · Processor Config Idprocessor
_config _id Filter by processor configuration ID
- Type: string | null · Processor Midprocessor
_mid Filter terminals by processor Merchant ID
- Type: string | null · Processor Tidprocessor
_tid Filter terminals by processor Terminal ID
- Type: integer · Limitlimitmin:1max:200
Maximum number of items to return
- Type: integer · Offsetoffsetmin:0
Number of items to skip before returning results
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
Responses
- application/json
- application/json
Request Example for get/v2/terminals
curl 'https://api.uat.koard.com/v2/terminals?search=null&account_id=null&status=active&processor_config_id=null&processor_mid=null&processor_tid=null&limit=50&offset=0' \
--header 'Accept: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN'
{
"limit": 1,
"offset": 1,
"page": 1,
"terminals": [
{
"account_id": "string",
"agent_bank_number": null,
"bin": null,
"country_code": "840",
"created_at": "2026-04-20T15:32:06.309Z",
"currency_code": "USD",
"deleted_at": null,
"description": null,
"merchant_category_code": null,
"merchant_name": null,
"mid": "string",
"name": "string",
"processor_config_id": "string",
"serial_number": null,
"status": "active",
"surcharge_rate": null,
"terminal_capability": "5",
"terminal_id": "string",
"tid": "string",
"transactions": [],
"updated_at": null,
"var_sheet": null,
"vid": null
}
],
"total": 1
}
